Bug 1309525 - Bump up Elixir version
Summary: Bump up Elixir version
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: elixir
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1309523
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-18 02:41 UTC by Gilles Dubreuil
Modified: 2017-01-03 02:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-03 02:26:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Gilles Dubreuil 2016-02-18 02:41:21 UTC
Current EPEL package for Elixir is using version 0.12 [1]
This is quite behind, 
Effectively latest stable version of Elixir is 1.2.2 [2]

Dependent projects like Phoenix depends on more recent version of Elixir.
Elixir is a relatively young language which is moving fast. 

[1] http://dl.fedoraproject.org/pub/epel/7/x86_64/repoview/elixir.html
[2] dl.fedoraproject.org/pub/fedora/linux/development/rawhide/x86_64/os/Packages/e/elixir-1.2.2-1.fc24.noarch.rpm

Comment 1 Martin Langhoff 2016-02-18 14:17:34 UTC
Elixir 1.2.x depends on Erlang 18, which is not on EL7. Heck it is not even on F23 :-/

Getting Erlang 18 on EL7 requires a full bootstrap of the Erlang 18 set of packages, that's nontrivial and probably risks breakage. Maybe an SCL is a better fit.

I have a personal repo with Erlang 18 and Elixir 1.2.2 for EL7, it is a mix of rebuilt and straight F23/rawhide packages for the Erlang suite. It works but is not supportable. See http://dev.laptop.org/~martin/erlang-18.2.2-el7/ and http://dev.laptop.org/~martin/elixir-1.2.x-el7/

Building a high quality Erlang 18 set of packages for EL7 (maybe via SCL) is beyond my abilities and time constraints, but I'd be happy to help someone with Erlang bootstrapping experience. Once that's built, then Elixir is trivial.

Comment 2 Randy Barlow 2016-02-18 23:17:40 UTC
I agree with Martin, we can't break backwards compatibility. Perhaps copr would be a good place to do something like this?

FWIW, I'm very excited about the Erlang stack in the upcoming F24 release!

Comment 3 Martin Langhoff 2016-02-19 00:41:33 UTC
More than happy to lend a hand. Will need help on a proper Erlang 18 bootstrap. I made an initial attempt but there's circular deps, and I don't know what tooling and process was used in the v17->v18 process.

Without some tooling support, it's a pita to run bootstraps, I have jury-rigged my mock roots to access an "in progress" repo but its rather awkward.

I am super excited as well with Erlang 18 on F24 and I am working with some very interesting customer projects based on Elixir. This stack has wings.

Comment 4 Rick Elrod 2017-01-03 02:26:27 UTC
I'm going to close this as CANTFIX to bump it out of my queue for now. I don't think there's anything I can do here in terms of a version bump in EPEL given the Erlang version requirement and the backwards compatibility issues. I agree that COPR is probably the best place to pursue this.


Note You need to log in before you can comment on or make changes to this bug.